<?php
session_start();
require_once('../conexion.php');
$vend_id=$_GET['id'];

$sql=mysqli_query($con, "SELECT * from venta_detalle where  vend_id='$vend_id'  ");
$resul = mysqli_fetch_array($sql);
$vend_nombre=$resul['vend_nombre'];
$vend_art_id=$resul['vend_art_id'];
$vend_cantidad_dev=$resul['vend_cantidad_dev'];
$ven_id=$resul['ventas_ven_id'];

$sql4=mysqli_query($con, "SELECT * from seriales where  venta_detalle_vend_id='$vend_id'  ");
$result4 = mysqli_num_rows($sql4);
$can_ser=$vend_cantidad_dev-$result4;

?>
<input type="hidden" id="cantidad" name="cantidad" value="<?php echo $can_ser;?>"  >
<div class="col-md-12">
    <div class="alert alert-info alert-dismissable">
        <strong><?php echo $vend_nombre; ?></strong>
    </div>
    <div class="tabbable">
        <ul class="nav nav-tabs">
            <li class="active"><a href="#SERIALES_R" data-toggle="tab">SERIALES REGISTRADOS</a> </li>
            <li class=""><a href="#SERIALES" data-toggle="tab">SERIALES DISPONIBLES</a> </li>
            <li><a href="#OTRO" data-toggle="tab">OTRO</a></li>
        </ul>
        <div class="tab-content" >
        <div id="resultados_ser"></div> 
            <div class="tab-pane  active" id="SERIALES_R">
                <input type="hidden" name="vend_id" id="vend_id" value="<?php echo $vend_id;?>" onkeyup="loadserial()">        
                <div id="resultados_seria"></div> 
                <div id="tabla_seriales"></div>                    
            </div>

            <div class="tab-pane" id="SERIALES">
                <div id="resultados_seria"></div> 
                <div id="tabla_seriales2"></div>
            </div>

            <div class="tab-pane" id="OTRO">
                <div id="resultados_seria"></div>
                <div id="tabla_seriales3"></div>
            </div>
        </div>
    </div>
</div>
 <script>
function loadserial(){
    var vend_id=$("#vend_id").val();
    $('#editModal').modal('hide');
    $.get("./php_ventas/seriales.php?vend_id="+vend_id,function(data){
    $("#tabla_seriales").html(data);
    })
    }
loadserial();

function loadserial2(){
    var vend_id=$("#vend_id").val();
    $('#editModal').modal('hide');
    $.get("./php_ventas/seriales2.php?vend_id="+vend_id,function(data){
    $("#tabla_seriales2").html(data);
    })
    }
loadserial2();

function loadserial3(){
    var vend_id=$("#vend_id").val();
    $('#editModal').modal('hide');
    $.get("./php_ventas/seriales3.php?vend_id="+vend_id,function(data){
    $("#tabla_seriales3").html(data);
    })
    }
loadserial3();

$(document).ready(function(){
    $("#cantidad").keydown(function(){
        $("input[type=checkbox]").prop('checked', false);
        $("#seleccionados").html("0");
    });
    $("input[type=checkbox]").change(function(){
        var elemento=this;
        var contador=0;
        $("input[type=checkbox]").each(function(){
            if($(this).is(":checked"))
                contador++;
        });
        var cantidadMaxima=parseInt($("#cantidad").val()) || 0;
        if(contador>cantidadMaxima)
        {
            alert("Has seleccionado mas checkbox que los indicados");
            $(elemento).prop('checked', false);
            contador--;
        }
        $("#seleccionados").html(contador);
    });
});
</script>                           